<?php

/**
 * Plugin Name:       PureAUTH SAML - Passwordless Login
 * Description:       Passwordless Authentication for your WordPress website using PureAUTH.
 * Version:           1.0.0
 * Author:            PureID Private Limited
 * Author URI:        https://www.pureid.io/
 * Plugin URI:        https://wordpress.org/plugins/pureauth-saml/
 * Text Domain:       pureauth-saml
 */


/**
 *  Check it not called directly
 */
if( !defined('ABSPATH') ){
    echo "Hey there, direct access not allowed!";
    exit();
}

/**
 * Import Required Files
 */

require_once plugin_dir_path(__FILE__)."includes/configuration.php";
require_once plugin_dir_path(__FILE__)."includes/functions.php";


/**
 * Register Admin Menu Pages
 */

add_action( "admin_menu", "pureauth_saml_configuration" );


/**
 * Initialize functions when SAML support is enabled
 * condition: if pureauth_saml_is_enabled is true
 */

// $pureauth_saml_is_enabled = get_option( "pureauth_saml_is_enabled" );

if( pureauth_saml_is_enabled() ) {

    // Add PureAuth Login Button to Login Page
    add_filter( 'login_message', 'pureauth_custom_login_button' );

    // Initialize SAML Message Router
    add_action( "init", "pureauth_saml_router", 1 );

}

/**
 * Enqueue Scripts
 */
function pureauth_enqueue_scripts()
{
	wp_enqueue_style( 'pureauth_style', plugin_dir_url( __FILE__ ) . 'assets/css/style.css' );
}
add_action('login_enqueue_scripts', 'pureauth_enqueue_scripts');

